SystemOrganization addCategory: #'JQWidgetBox-Reflection-Dev-Example'!
SystemOrganization addCategory: #'JQWidgetBox-Reflection-Dev-Tests'!

JQWidgetExample subclass: #JQReflectionExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Reflection-Dev-Example'!

!JQReflectionExample classSide methodsFor: 'accessing' stamp: 'tbn 2/10/2010 15:50'!
description
	^ 'JQuery Reflection'! !

!JQReflectionExample classSide methodsFor: 'accessing' stamp: 'tbn 2/10/2010 15:50'!
shortName
	^'reflection'! !

!JQReflectionExample methodsFor: 'rendering' stamp: 'tbn 2/10/2010 15:59'!
renderContentOn: html
	html text: 'Apply reflection effect to an image. See '.
	html anchor
		url: 'http://www.digitalia.be/software/reflectionjs-for-jquery';
		with: 'http://www.digitalia.be/software/reflectionjs-for-jquery'.
	html break; break.		
	
	html image 
		url: 'http://www.digitalia.be/images/33.png';
		script: (html jQuery this reflect)! !

!JQReflectionExample methodsFor: 'updating' stamp: 'tbn 2/10/2010 15:49'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot javascript url: self library / #reflectionJs! !

JQWidgetBoxWidgetTest subclass: #JQReflectionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Reflection-Dev-Tests'!

!JQReflectionTest methodsFor: 'testing' stamp: 'tbn 2/10/2010 15:45'!
testActions

	self
		assert: ((self jQuery: 'sample') reflect height: 10)
		equals: self function , '("sample").reflect({height:10})'.
		
	self
		assert: ((self jQuery: 'sample') reflect opacity: 1)
		equals: self function , '("sample").reflect({opacity:1})'. 		! !

!JQReflectionTest methodsFor: 'testing' stamp: 'tbn 2/10/2010 15:28'!
testModes

	self
		assert: ((self jQuery: 'sample') reflect)
		equals: self function , '("sample").reflect()'.
		
	self
		assert: ((self jQuery: 'sample') unreflect)
		equals: self function , '("sample").unreflect()'.
	 ! !
